Issue1331

classification
Title: Private registry .jython is ignored
Type: behaviour Severity: normal
Components: Versions: 25rc4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: otmarhumbel, r_walter
Priority: Keywords:

Created on 2009-04-28.22:19:43 by r_walter, last changed 2009-05-04.06:33:59 by otmarhumbel.

Messages
msg4612 (view) Author: Roland Walter (r_walter) Date: 2009-04-28.22:19:42
I just installed jython2.5b4 on openSUSE 11.0 in /usr/local/jython2.5b4.
As normal user I have a file ~/.jython that sets python.cachedir to a
private directory. This line is not evaluated. When I call jython it says: 
*sys-package-mgr*: can't create package cache dir,
'/usr/local/jython2.5b4/cachedir/packages'

This is the cachedir as defined per default by the registry in the
installation directory.
msg4617 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-04-29.05:31:12
This is due to the change in
http://fisheye3.atlassian.com/changelog/jython?cs=6260

The fix tried to make registry file properties overridable with System 
properties (e.g. -D options to the JVM), which is IMHO correct.
But it lead to the behaviour change you describe. 

Roughly speaking, properties from (any) registry file only are added if 
not yet present. So my first idea is to read those of the user file 
first, and the installed one second.
This would hopefully revert the behaviour as you expected so far (before 
beta 4).

I'll put together a snapshot build for testing it out.
msg4624 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-05-01.00:39:04
With r6283 (junit tests) i am now much more confident with the fix of 
r6277.

Snapshot build coming soon.
msg4626 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-05-02.08:47:37
Roland,

the snapshot build is here:
http://jython.extreme.st/sharedfiles/jython_installer-2.5b4-6283.jar

I'd be glad if you could test again with this version.
msg4628 (view) Author: Roland Walter (r_walter) Date: 2009-05-02.17:01:54
The cache is now created at the place, the entry in .jython says. If no
private entry exists, the cache is created at the place the global
registry says. 

Looks ok for me. Thank you.
msg4631 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-05-04.06:33:49
Feedback on jython-users:
http://www.nabble.com/Problems-with-python.cachedir-to23345893.html
also states this is fixed now.

Thanks everybody for testing!

Closing as fixed.
History
Date User Action Args
2009-05-04 06:34:00otmarhumbelsetstatus: open -> closed
resolution: fixed
messages: + msg4631
2009-05-02 17:01:55r_waltersetmessages: + msg4628
2009-05-02 08:47:38otmarhumbelsetmessages: + msg4626
2009-05-01 00:39:04otmarhumbelsetmessages: + msg4624
2009-04-29 05:32:12otmarhumbelsetassignee: otmarhumbel
messages: + msg4617
nosy: + otmarhumbel
2009-04-28 22:19:43r_waltercreate